Name: openldev
Version: 1.0
Release: alt1

Summary: Integrated Development Environment (IDE)
Group: Development/C
Source: %name-%version.tar.bz2
License: GPL
Packager: Eugene Ostapets <eostapets@altlinux.org>

# Automatically added by buildreq on Mon Apr 30 2007
BuildRequires: gcc-c++ libavahi-glib libdbus-glib libgnomeprintui-devel libgnomeui-devel libgtksourceview1-devel libtinfo-devel libvte-devel

%description
OpenLDev  is  a  graphical front-end to Linux development tools such as
gcc, autotools  and  make.  Most  Integrated  Development  Environments
(IDE),  are  cumbersome  and  confusing to use, but OpenLDev strives to
provide an easy-to-use interface that is both  productive  for  experts
and simple for beginners.

%package plugins
Summary: Integrated Development Environment (IDE) plugins metapackage
Group: Development/C
Requires: %name-plugin-insertinfo %name-plugin-makefileeditor
%description plugins
OpenLDev  is  a  graphical front-end to Linux development tools such as
gcc, autotools  and  make.  Most  Integrated  Development  Environments
(IDE),  are  cumbersome  and  confusing to use, but OpenLDev strives to
provide an easy-to-use interface that is both  productive  for  experts
and simple for beginners.

%package plugin-insertinfo
Summary: Integrated Development Environment (IDE) insertinfo plugin
Group: Development/C
Version: 0.5
%description plugin-insertinfo
Insert GPL, user and date info into a file.

%package plugin-makefileeditor
Summary: Integrated Development Environment (IDE) makefileeditor plugin
Group: Development/C
Version: 0.5
%description plugin-makefileeditor
Edit all of the Makefile.am files in a project.

%prep
%setup -n %name

%build
%configure
%make_build

%install
%make DESTDIR=%buildroot install
rm -rf %buildroot%_datadir/doc/%name

%files
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%_bindir/%name
%_bindir/*_launcher
%_libdir/*.so.*
%exclude %_libdir/*.so
%dir %_libdir/%name
%_desktopdir/%name.desktop
%_man1dir/%name.*
%dir %_datadir/%name
%_datadir/%name/*
%dir %_pixmapsdir/%name
%_pixmapsdir/%name/*

%files plugin-insertinfo
%_libdir/%name/libinsertinfo.so
%_libdir/%name/insertinfo.plugin
%exclude %_libdir/%name/libinsertinfo.la

%files plugin-makefileeditor
%_libdir/%name/libmakefileeditor.so
%_libdir/%name/makefileeditor.plugin
%exclude %_libdir/%name/libmakefileeditor.la

%changelog
* Fri Jan 04 2008 Eugene Ostapets <eostapets@altlinux.ru> 1.0-alt1
- fix buildrequires

* Mon Apr 30 2007 Eugene Ostapets <eostapets@altlinux.ru> 1.0-alt0.1
- first build

